Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.vm
Interface HDR

    public interface HDR

This class contains constants that describe the object header layout.

Field Summary
`static int` | `arrayHeaderSize` The size (in bytes) of an object header for an array object.
`static int` | `arrayHeaderTag` The object header format tag value specifying an array object header.
`static int` | `basicHeaderSize` The size (in bytes) of an object header for a non-array, non-method-body object.
`static int` | `basicHeaderTag` The object header format tag value specifying a non-array, non-method-body object header.
`static int` | `BITS_PER_BYTE` The number of bits per byte.
`static int` | `BITS_PER_WORD` The number of bits in a pointer.
`static int` | `BYTES_PER_WORD` The size (in bytes) of a pointer.
`static int` | `forwardPointerBit` The bit in a class pointer word that is set if the object has been forwarded.
`static int` | `headerTagBits` The number of low order bits in the first word of an object header that specify the format of the object header.
`static int` | `headerTagMask` The mask that is applied to the first word of an object header to extract the format tag.
`static int` | `klass` The offset (in words) from an object's address to the class pointer in the object's header.
`static int` | `length` The offset (in words) from an object's address to array length in the object's header.
`static int` | `LOG2_BITS_PER_BYTE` The amount by which to right shift a bit index to yield the byte in a bitmap containing the indexed bit.
`static int` | `LOG2_BITS_PER_WORD` The amount by which to right shift a bit index to yield the word in a bitmap containing the indexed bit.
`static int` | `LOG2_BYTES_PER_WORD` The amount by which to right shift a byte offset to find the offset of the word that contains the indexed byte.
`static int` | `methodDefiningClass` The offset (in words) from an method body's address to the defining class pointer in the method body's header.
`static int` | `methodHeaderTag` The object header format tag value specifying a mehod body object header.
`static int` | `methodInfoStart` The offset (in bytes) from an method body's address to the start of the info block in the method body's header.

Field Detail

### BYTES_PER_WORD

    static final int BYTES_PER_WORD

  The size (in bytes) of a pointer.

  See Also:
    Constant Field Values

### LOG2_BYTES_PER_WORD

    static final int LOG2_BYTES_PER_WORD

  The amount by which to right shift a byte offset to find the offset of the word that contains the indexed byte.

  See Also:
    Constant Field Values

### BITS_PER_BYTE

    static final int BITS_PER_BYTE

  The number of bits per byte.

  See Also:
    Constant Field Values

### BITS_PER_WORD

    static final int BITS_PER_WORD

  The number of bits in a pointer.

  See Also:
    Constant Field Values

### LOG2_BITS_PER_WORD

    static final int LOG2_BITS_PER_WORD

  The amount by which to right shift a bit index to yield the word in a bitmap containing the indexed bit.

  See Also:
    Constant Field Values

### LOG2_BITS_PER_BYTE

    static final int LOG2_BITS_PER_BYTE

  The amount by which to right shift a bit index to yield the byte in a bitmap containing the indexed bit.

  See Also:
    Constant Field Values

### klass

    static final int klass

  The offset (in words) from an object's address to the class pointer in the object's header.

  See Also:
    Constant Field Values

### length

    static final int length

  The offset (in words) from an object's address to array length in the object's header.

  See Also:
    Constant Field Values

### methodDefiningClass

    static final int methodDefiningClass

  The offset (in words) from an method body's address to the defining class pointer in the method body's header.

  See Also:
    Constant Field Values

### methodInfoStart

    static final int methodInfoStart

  The offset (in bytes) from an method body's address to the start of the info block in the method body's header.

  See Also:
    Constant Field Values

### basicHeaderSize

    static final int basicHeaderSize

  The size (in bytes) of an object header for a non-array, non-method-body object.

  See Also:
    Constant Field Values

### arrayHeaderSize

    static final int arrayHeaderSize

  The size (in bytes) of an object header for an array object.

  See Also:
    Constant Field Values

### headerTagBits

    static final int headerTagBits

  The number of low order bits in the first word of an object header that specify the format of the object header.

  See Also:
    Constant Field Values

### headerTagMask

    static final int headerTagMask

  The mask that is applied to the first word of an object header to extract the format tag.

  See Also:
    Constant Field Values

### basicHeaderTag

    static final int basicHeaderTag

  The object header format tag value specifying a non-array, non-method-body object header.

  See Also:
    Constant Field Values

### arrayHeaderTag

    static final int arrayHeaderTag

  The object header format tag value specifying an array object header.

  See Also:
    Constant Field Values

### methodHeaderTag

    static final int methodHeaderTag

  The object header format tag value specifying a mehod body object header.

  See Also:
    Constant Field Values

### forwardPointerBit

    static final int forwardPointerBit

  The bit in a class pointer word that is set if the object has been forwarded.

  See Also:
    Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"